> ## Documentation Index
> Fetch the complete documentation index at: https://endclose.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a property definition

> Update the name or optional flag of a property definition.



## OpenAPI

````yaml /openapi.json patch /data_stream_property_definitions/{id}
openapi: 3.1.0
info:
  title: End Close API
  description: REST API is used to interact with the End Close platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.endclose.com/v1
security:
  - ApiKeyAuth: []
paths:
  /data_stream_property_definitions/{id}:
    patch:
      summary: Update a property definition
      description: Update the name or optional flag of a property definition.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                optional:
                  type: boolean
      responses:
        '200':
          description: Property definition updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordPropertyDefinition'
components:
  schemas:
    RecordPropertyDefinition:
      type: object
      required:
        - key
        - name
        - type
        - data_stream_key
      properties:
        id:
          type: integer
        key:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - number
            - date
            - datetime
            - string
            - boolean
        optional:
          type: boolean
          default: false
        data_stream_key:
          type: string
          description: Must match an existing DataStream.key
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````